query GetRwrdActivities($categoryId: Int){
    allMasterRwrdActivities(condition: {categoryId: $categoryId}){
        nodes {
            id
            description
        }
    }
}

query GetRwrdCategories {
  allMasterRwrdCategories {
    nodes {
      id
      category
    }
  }
}


query GetRwrdLineItem($id: UUID) {
  allRwrds(filter: {id: {equalTo: $id}}) {
    nodes {
      id
      description
      categoryId
      activityId
      startDate
      endDate
      rwrdRulesByRwrdId {
        nodes {
          duration
          durationUnit
          endDate
          id
          maxLimit
          rewardPerUser
          rewardValue
          ruleName
          startDate
          ruleStatusId
          totalQuantity
          masterRwrdRuleStatusByRuleStatusId {
            status
          }
        }
      }
      rwrdNotesByRwrdId(orderBy: CREATED_DATE_ASC){
        nodes {
          addedBy
          name
          notes
          createdDate
        }
      }
      masterRwrdActivityByActivityId {
        description
      }
      masterRwrdCategoryByCategoryId {
        category
      }
    }
  }
}
